Package com.verisign.epp.codec.launchpolicy.v01

## Enum EPPLaunchPolicyPhase.Mode

- java.lang.Object
- - java.lang.Enum<EPPLaunchPolicyPhase.Mode>
  - - com.verisign.epp.codec.launchpolicy.v01.EPPLaunchPolicyPhase.Mode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EPPLaunchPolicyPhase.Mode>`
  Enclosing class:
    EPPLaunchPolicyPhase

      public static enum EPPLaunchPolicyPhase.Mode
      extends java.lang.Enum<EPPLaunchPolicyPhase.Mode>

  `Mode` defines how the phase operates, which include the following possible values:
  - `fcfs` - In this mode, each domain name is immediately created and there is no use of an application identifier.
  - `pendingRegistration` - In this mode, the domain name is created with the "pendingCreate" status with no use of an application identifier.
  - `pendingApplication` - In this mode, the domain name, referred to as a domain application, is created in the "pendingCreate" status with the server returning an application identifier in the create response for the client to use in subsequent commands (info, update, delete). When a domain application is allocated, it will become a domain without the use of an application identifier.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `fcfs` |
    `pendingApplication` |
    `pendingRegistration` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPLaunchPolicyPhase.Mode` | `getMode​(java.lang.String aString)` | Get the mode enumerated value given the matching string.
    `java.lang.String` | `toString()` | Convert the enumerated `Mode` value to a `String`.
    `static EPPLaunchPolicyPhase.Mode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPLaunchPolicyPhase.Mode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### fcfs

          public static final EPPLaunchPolicyPhase.Mode fcfs

    - #### pendingRegistration

          public static final EPPLaunchPolicyPhase.Mode pendingRegistration

    - #### pendingApplication

          public static final EPPLaunchPolicyPhase.Mode pendingApplication

  - ### Method Detail

    - #### values

          public static EPPLaunchPolicyPhase.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPLaunchPolicyPhase.Mode c : EPPLaunchPolicyPhase.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPLaunchPolicyPhase.Mode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMode

          public static EPPLaunchPolicyPhase.Mode getMode​(java.lang.String aString)

      Get the mode enumerated value given the matching string.
      Parameters:
        `aString` - `Mode` enumerated string to convert to an enumerated `Mode` instance.
      Returns:
        Enumerated `Mode` value matching the `String`.
      Throws:
        `java.security.InvalidParameterException` - If `aString` does not match an enumerated `Mode` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `Mode` value to a `String`.
      Overrides:
        `toString` in class `java.lang.Enum<EPPLaunchPolicyPhase.Mode>`